std::hash< bool > Struct Reference
Utilities » Function Objects » Hashes

`#include <functional_hash.h>`

## Public Member Functions

size_t | operator() (bool __val) const noexcept

## Detailed Description

Explicit specialization for bool.

Definition at line 128 of file functional_hash.h.

## Member Function Documentation

## operator()()

size_t std::hash< bool >::operator() | ( | bool | __val | ) | const

inline noexcept

Definition at line 128 of file functional_hash.h.

The documentation for this struct was generated from the following file:

- functional_hash.h